# Uses of Enum Class
org.apache.sysds.parser.Expression.BooleanOp

Packages that use Expression.BooleanOp
Package
Description
org.apache.sysds.parser

## Uses of Expression.BooleanOp in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Expression.BooleanOp
Modifier and Type
Method
Description
`static Expression.BooleanOp`
Expression.`getBooleanOp(String val)`
Convert string value to boolean operator.
`Expression.BooleanOp`
BooleanExpression.`getOpCode()`
`static Expression.BooleanOp`
Expression.BooleanOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Expression.BooleanOp[]`
Expression.BooleanOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.parser with parameters of type Expression.BooleanOp
Modifier
Constructor
Description
``
`BooleanExpression(Expression.BooleanOp bop)`
``
`BooleanExpression(Expression.BooleanOp bop, ParseInfo parseInfo)`